List claims
import requests
url = "https://api.paywise.de/v1/claims/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/claims/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/claims/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/claims/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/claims/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"href": "http://api.paywise.de/v1/claims/f6e5bd1b-0c04-4e39-809c-a813db8f2614/",
"id": "f6e5bd1b-0c04-4e39-809c-a813db8f2614",
"submission_state": "accepted",
"debtor": "c33d083e-ed26-4996-877d-b9dc23416268",
"mandate": {
"href": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/",
"id": "5600672e-2bfa-488c-b23a-460c1dd1f833"
},
"your_reference": "order-12-A-245-2022",
"document_reference": "RE-201900045",
"subject_matter": "Warenlieferung Playstation 7",
"occurence_date": "2019-09-24",
"document_date": "2019-09-24",
"due_date": "2019-10-09",
"reminder_date": "2022-09-24",
"delay_date": "2022-09-24",
"total_claim_amount": {
"value": "1202.50",
"currency": "EUR"
},
"main_claim_amount": {
"value": "1200.00",
"currency": "EUR"
},
"items": [
{
"description": "Playstation 7",
"quantity": 1,
"unit": "pcs",
"amount": {
"value": "1200.00",
"currency": "EUR"
}
}
],
"additional_charges_amount": {
"value": "2.50",
"currency": "EUR"
},
"additional_charges": [
{
"type": "reminder_fee",
"your_reference": "string",
"document_reference": "MA-2022002",
"subject_matter": "Mahngebühren 1. Mahnung",
"occurence_date": "2019-09-24",
"document_date": "2019-09-24",
"due_date": "2019-10-09",
"amount": {
"value": "2.50",
"currency": "EUR"
},
"events": [
{
"title": "Reminder delivered to debtor's address.",
"occurence": "2019-09-24T06:34:43.206Z",
"your_reference": "123456789",
"description": "The reminder was delivered to the debtor's home address via Deutsche Post AG. Based on information taken from tracking code DPAG-124-234543",
"type": "invoice",
"location": "Debtor home address"
},
{
"title": "Sendout of reminder via postal service",
"occurence": "2019-09-24T06:34:43.206Z",
"your_reference": "123456789",
"description": "The reminder was sent via Deutsche Post AG. Tracking code: DPAG-124-234543",
"type": "invoice",
"location": "Our office"
}
]
}
],
"payments": [
{
"href": "http://api.paywise.de/v1/payments/40dbe920-1d4e-4487-b29b-3a3f94870c50/",
"id": "40dbe920-1d4e-4487-b29b-3a3f94870c50",
"your_reference": "MY-REF02",
"amount": {
"value": "105.00",
"currency": "EUR"
},
"value_date": "2019-08-24",
"metadata": [],
"created": "2023-06-06T18:23:25.662254+02:00"
},
{
"href": "http://api.paywise.de/v1/payments/80df3dc5-30d9-41b6-9a45-5a5e57ab5a62/",
"id": "80df3dc5-30d9-41b6-9a45-5a5e57ab5a62",
"your_reference": "MY-REF01",
"amount": {
"value": "90.23",
"currency": "EUR"
},
"value_date": "2019-08-24",
"metadata": [],
"created": "2023-06-06T18:24:18.685178+02:00"
}
],
"starting_approach": "extrajudicial",
"claim_disputed": false,
"obligation_fulfilled": true,
"documents": [
{
"id": "af876232-a19f-44f2-8da9-f32c427cd18e",
"mime_type": "application/pdf",
"filename": "RE244523.pdf"
}
],
"metadata": [
{
"type": "invoice:reference",
"value": "RE-202200045"
},
{
"type": "comment",
"value": "Der Schuldner hat auf keine unserer Kontaktanfragen reagiert."
}
],
"events": [
{
"title": "Delivery of goods",
"occurence": "2019-09-03T14:15:22Z",
"your_reference": "string",
"description": "Goods were delivered at debtors address. Based on information from DHL tracking code DHL-123-3421.",
"type": "delivery",
"location": "Debtor home address"
}
],
"created": "2019-10-05T17:55:05Z",
"updated": "2019-10-06T09:12:22Z"
}
]
}Frozen v1 · List claims
List your claims.
GET
/
v1
/
claims
/
List claims
import requests
url = "https://api.paywise.de/v1/claims/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/claims/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/claims/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/claims/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/claims/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"href": "http://api.paywise.de/v1/claims/f6e5bd1b-0c04-4e39-809c-a813db8f2614/",
"id": "f6e5bd1b-0c04-4e39-809c-a813db8f2614",
"submission_state": "accepted",
"debtor": "c33d083e-ed26-4996-877d-b9dc23416268",
"mandate": {
"href": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/",
"id": "5600672e-2bfa-488c-b23a-460c1dd1f833"
},
"your_reference": "order-12-A-245-2022",
"document_reference": "RE-201900045",
"subject_matter": "Warenlieferung Playstation 7",
"occurence_date": "2019-09-24",
"document_date": "2019-09-24",
"due_date": "2019-10-09",
"reminder_date": "2022-09-24",
"delay_date": "2022-09-24",
"total_claim_amount": {
"value": "1202.50",
"currency": "EUR"
},
"main_claim_amount": {
"value": "1200.00",
"currency": "EUR"
},
"items": [
{
"description": "Playstation 7",
"quantity": 1,
"unit": "pcs",
"amount": {
"value": "1200.00",
"currency": "EUR"
}
}
],
"additional_charges_amount": {
"value": "2.50",
"currency": "EUR"
},
"additional_charges": [
{
"type": "reminder_fee",
"your_reference": "string",
"document_reference": "MA-2022002",
"subject_matter": "Mahngebühren 1. Mahnung",
"occurence_date": "2019-09-24",
"document_date": "2019-09-24",
"due_date": "2019-10-09",
"amount": {
"value": "2.50",
"currency": "EUR"
},
"events": [
{
"title": "Reminder delivered to debtor's address.",
"occurence": "2019-09-24T06:34:43.206Z",
"your_reference": "123456789",
"description": "The reminder was delivered to the debtor's home address via Deutsche Post AG. Based on information taken from tracking code DPAG-124-234543",
"type": "invoice",
"location": "Debtor home address"
},
{
"title": "Sendout of reminder via postal service",
"occurence": "2019-09-24T06:34:43.206Z",
"your_reference": "123456789",
"description": "The reminder was sent via Deutsche Post AG. Tracking code: DPAG-124-234543",
"type": "invoice",
"location": "Our office"
}
]
}
],
"payments": [
{
"href": "http://api.paywise.de/v1/payments/40dbe920-1d4e-4487-b29b-3a3f94870c50/",
"id": "40dbe920-1d4e-4487-b29b-3a3f94870c50",
"your_reference": "MY-REF02",
"amount": {
"value": "105.00",
"currency": "EUR"
},
"value_date": "2019-08-24",
"metadata": [],
"created": "2023-06-06T18:23:25.662254+02:00"
},
{
"href": "http://api.paywise.de/v1/payments/80df3dc5-30d9-41b6-9a45-5a5e57ab5a62/",
"id": "80df3dc5-30d9-41b6-9a45-5a5e57ab5a62",
"your_reference": "MY-REF01",
"amount": {
"value": "90.23",
"currency": "EUR"
},
"value_date": "2019-08-24",
"metadata": [],
"created": "2023-06-06T18:24:18.685178+02:00"
}
],
"starting_approach": "extrajudicial",
"claim_disputed": false,
"obligation_fulfilled": true,
"documents": [
{
"id": "af876232-a19f-44f2-8da9-f32c427cd18e",
"mime_type": "application/pdf",
"filename": "RE244523.pdf"
}
],
"metadata": [
{
"type": "invoice:reference",
"value": "RE-202200045"
},
{
"type": "comment",
"value": "Der Schuldner hat auf keine unserer Kontaktanfragen reagiert."
}
],
"events": [
{
"title": "Delivery of goods",
"occurence": "2019-09-03T14:15:22Z",
"your_reference": "string",
"description": "Goods were delivered at debtors address. Based on information from DHL tracking code DHL-123-3421.",
"type": "delivery",
"location": "Debtor home address"
}
],
"created": "2019-10-05T17:55:05Z",
"updated": "2019-10-06T09:12:22Z"
}
]
}This page documents a frozen v1 API. It receives only critical correctness or
security corrections. For new integrations, use the current API
and follow the linked migration guide.
Autorisierungen
tokenAuthtokenAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Abfrageparameter
Filter by claim_disputed value of the claim
Filter by the delay_date of the claim
Filter by the document_reference of the claim
Filter by the due_date of the claim
Filter by our ID of the claim
Anzahl der pro Seite zurückzugebenden Ergebnisse.
Filter by the obligation_fulfilled value of the claim
Der initiale Index, von dem die Ergebnisse zurückgegeben werden sollen.
Filter by the reminder_date of the claim
Filter by the starting_approach of the claim
Filter by the subject_matter of the claim
Filter by the submission_state of the claim
Filter by your_reference of the claim
